Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Interface GenDiagram

All Superinterfaces:
  BatchValidation, EditorCandies, EditPartCandies, org.eclipse.emf.ecore.EObject, GenCommonBase, GenContainerBase, LinkConstraints, MeasurementUnit, org.eclipse.emf.common.notify.Notifier, PackageNames, ProviderClassNames, Shortcuts

All Known Implementing Classes:
  GenDiagramImpl

    public interface GenDiagram

extends GenContainerBase, PackageNames, ProviderClassNames, LinkConstraints, EditPartCandies, EditorCandies, Shortcuts, BatchValidation, MeasurementUnit

A representation of the model object 'Gen Diagram'.

The following features are supported:

- `Editor Gen`
- `Domain Diagram Element`
- `Child Nodes`
- `Top Level Nodes`
- `Links`
- `Compartments`
- `Palette`
- `Synchronized`
- `Preferences`
- `Preference Pages`

See Also:
  `GMFGenPackage.getGenDiagram()`
** Generated **
Model:
  annotation="http://www.eclipse.org/gmf/2005/constraints ocl='diagramRunTimeClass.ecoreClass.eAllSuperTypes->including(diagramRunTimeClass.ecoreClass)->one(ePackage.name = \'notation\' and name = \'Diagram\')' description='\'Diagram Runtime Class\' must be a notation::Diagram or sub-class'"

Field Summary
`static java.lang.String` `CLASS_NAME_PREFIX`

Fields inherited from interface org.eclipse.gmf.codegen.gmfgen.GenContainerBase
`CANONICAL_EDIT_POLICY_SUFFIX`

Fields inherited from interface org.eclipse.gmf.codegen.gmfgen.GenCommonBase
`DEFAULT_CLASS_NAME_PREFIX, EDIT_PART_SUFFIX, ITEM_SEMANTIC_EDIT_POLICY_SUFFIX, NOTATION_VIEW_FACTORY_SUFFIX`

Method Summary
`org.eclipse.emf.common.util.EList<GenChildContainer>` `getAllChildContainers()`
`org.eclipse.emf.common.util.EList<GenContainerBase>` `getAllContainers()`
`org.eclipse.emf.common.util.EList<GenNode>` `getAllNodes()`
`org.eclipse.emf.common.util.EList<GenChildNode>` `getChildNodes()` Returns the value of the 'Child Nodes' containment reference list.
`org.eclipse.emf.common.util.EList<GenCompartment>` `getCompartments()` Returns the value of the 'Compartments' containment reference list.
`org.eclipse.emf.codegen.ecore.genmodel.GenClass` `getDomainDiagramElement()` Returns the value of the 'Domain Diagram Element' reference
`GenEditorGenerator` `getEditorGen()` Returns the value of the 'Editor Gen' container reference.
`java.lang.String` `getElementInitializersClassName()` Gets the name of the class to hold the initializer methods for domain elements
`java.lang.String` `getElementInitializersPackageName()` Gets the name of the package to hold the element initializers class
`java.util.Map<org.eclipse.emf.codegen.ecore.genmodel.GenClass,GenTopLevelNode>` `getGenClass2PhantomMap()`
`org.eclipse.emf.common.util.EList<GenLink>` `getLinks()` Returns the value of the 'Links' containment reference list.
`java.lang.String` `getMetaPackageName(ImportAssistant importManager)` Deprecated. obsolete
`Palette` `getPalette()` Returns the value of the 'Palette' containment reference.
`java.util.List<GenLink>` `getPhantomLinks()`
`org.eclipse.emf.common.util.EList<GenPreferencePage>` `getPreferencePages()` Returns the value of the 'Preference Pages' containment reference list.
`GenDiagramPreferences` `getPreferences()` Returns the value of the 'Preferences' containment reference
`org.eclipse.emf.common.util.EList<GenTopLevelNode>` `getTopLevelNodes()` Returns the value of the 'Top Level Nodes' containment reference list.
`java.util.Map<TypeModelFacet,GenCommonBase>` `getTypeModelFacet2GenBaseMap()` Deprecated. obsolete
`boolean` `isSynchronized()` Returns the value of the 'Synchronized' attribute.
`void` `setDomainDiagramElement(org.eclipse.emf.codegen.ecore.genmodel.GenClass value)` Sets the value of the '`Domain Diagram Element`' reference
`void` `setPalette(Palette value)` Sets the value of the '`Palette`' containment reference
`void` `setPreferences(GenDiagramPreferences value)` Sets the value of the '`Preferences`' containment reference
`void` `setSynchronized(boolean value)` Sets the value of the '`Synchronized`' attribute

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.GenContainerBase
`getAssistantNodes, getCanonicalEditPolicyClassName, getCanonicalEditPolicyQualifiedClassName, getContainedNodes, needsCanonicalEditPolicy, setCanonicalEditPolicyClassName`

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.GenCommonBase

`getBehaviour, getBehaviour, getClassNamePrefix, getClassNameSuffux, getDiagram, getDiagramRunTimeClass, getEditPartClassName, getEditPartQualifiedClassName, getElementType, getItemSemanticEditPolicyClassName, getItemSemanticEditPolicyQualifiedClassName, getLayoutType, getNotationViewFactoryClassName, getNotationViewFactoryQualifiedClassName, getStyles, getUniqueIdentifier, getViewmap, getVisualID, isSansDomain, setDiagramRunTimeClass, setEditPartClassName, setElementType, setItemSemanticEditPolicyClassName, setNotationViewFactoryClassName, setViewmap, setVisualID`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.PackageNames

`getEditCommandsPackageName, getEditHelpersPackageName, getEditPartsPackageName, getEditPoliciesPackageName, getNotationViewFactoriesPackageName, getParsersPackageName, getPreferencesPackageName, getProvidersPackageName, setEditCommandsPackageName, setEditHelpersPackageName, setEditPartsPackageName, setEditPoliciesPackageName, setNotationViewFactoriesPackageName, setParsersPackageName, setPreferencesPackageName, setProvidersPackageName`

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.ProviderClassNames

`getContributionItemProviderClassName, getContributionItemProviderQualifiedClassName, getEditPartProviderClassName, getEditPartProviderPriority, getEditPartProviderQualifiedClassName, getElementTypesClassName, getElementTypesQualifiedClassName, getIconProviderClassName, getIconProviderPriority, getIconProviderQualifiedClassName, getModelingAssistantProviderClassName, getModelingAssistantProviderPriority, getModelingAssistantProviderQualifiedClassName, getNotationViewProviderClassName, getNotationViewProviderPriority, getNotationViewProviderQualifiedClassName, getParserProviderClassName, getParserProviderPriority, getParserProviderQualifiedClassName, setContributionItemProviderClassName, setEditPartProviderClassName, setEditPartProviderPriority, setElementTypesClassName, setIconProviderClassName, setIconProviderPriority, setModelingAssistantProviderClassName, setModelingAssistantProviderPriority, setNotationViewProviderClassName, setNotationViewProviderPriority, setParserProviderClassName, setParserProviderPriority`

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.LinkConstraints
`getLinkCreationConstraintsClassName, getLinkCreationConstraintsQualifiedClassName, hasLinkCreationConstraints`

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.EditPartCandies

`getBaseEditHelperClassName, getBaseEditHelperQualifiedClassName, getBaseExternalNodeLabelEditPartClassName, getBaseExternalNodeLabelEditPartQualifiedClassName, getBaseGraphicalNodeEditPolicyClassName, getBaseGraphicalNodeEditPolicyQualifiedClassName, getBaseItemSemanticEditPolicyClassName, getBaseItemSemanticEditPolicyQualifiedClassName, getEditPartFactoryClassName, getEditPartFactoryQualifiedClassName, getReorientConnectionViewCommandClassName, getReorientConnectionViewCommandQualifiedClassName, getTextNonResizableEditPolicyClassName, getTextNonResizableEditPolicyQualifiedClassName, getTextSelectionEditPolicyClassName, getTextSelectionEditPolicyQualifiedClassName, setBaseEditHelperClassName, setBaseExternalNodeLabelEditPartClassName, setBaseGraphicalNodeEditPolicyClassName, setBaseItemSemanticEditPolicyClassName, setEditPartFactoryClassName, setReorientConnectionViewCommandClassName, setTextNonResizableEditPolicyClassName, setTextSelectionEditPolicyClassName`

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.EditorCandies

`generateInitDiagramAction, getCreationWizardCategoryID, getCreationWizardClassName, getCreationWizardIconPath, getCreationWizardIconPathX, getCreationWizardPageClassName, getCreationWizardPageQualifiedClassName, getCreationWizardQualifiedClassName, getDiagramContentInitializerClassName, getDiagramContentInitializerQualifiedClassName, getDiagramEditorUtilClassName, getDiagramEditorUtilQualifiedClassName, getDocumentProviderClassName, getDocumentProviderQualifiedClassName, getEditingDomainID, getElementChooserClassName, getElementChooserQualifiedClassName, getInitDiagramFileActionClassName, getInitDiagramFileActionQualifiedClassName, getLoadResourceActionClassName, getLoadResourceActionQualifiedClassName, getMatchingStrategyClassName, getMatchingStrategyQualifiedClassName, getNewDiagramFileWizardClassName, getNewDiagramFileWizardQualifiedClassName, getVisualIDRegistryClassName, getVisualIDRegistryQualifiedClassName, setCreationWizardCategoryID, setCreationWizardClassName, setCreationWizardIconPath, setCreationWizardPageClassName, setDiagramContentInitializerClassName, setDiagramEditorUtilClassName, setDocumentProviderClassName, setEditingDomainID, setElementChooserClassName, setInitDiagramFileActionClassName, setLoadResourceActionClassName, setMatchingStrategyClassName, setNewDiagramFileWizardClassName, setVisualIDRegistryClassName`

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.Shortcuts

`generateCreateShortcutAction, generateShortcutIcon, getContainsShortcutsTo, getCreateShortcutActionClassName, getCreateShortcutActionQualifiedClassName, getCreateShortcutDecorationsCommandClassName, getCreateShortcutDecorationsCommandQualifiedClassName, getShortcutPropertyTesterClassName, getShortcutPropertyTesterQualifiedClassName, getShortcutsDecoratorProviderClassName, getShortcutsDecoratorProviderPriority, getShortcutsDecoratorProviderQualifiedClassName, getShortcutsProvidedFor, setCreateShortcutActionClassName, setCreateShortcutDecorationsCommandClassName, setShortcutPropertyTesterClassName, setShortcutsDecoratorProviderClassName, setShortcutsDecoratorProviderPriority`

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.BatchValidation

`getMarkerNavigationProviderClassName, getMarkerNavigationProviderPriority, getMarkerNavigationProviderQualifiedClassName, getMetricProviderClassName, getMetricProviderPriority, getMetricProviderQualifiedClassName, getMetricViewID, getValidationDecoratorProviderClassName, getValidationDecoratorProviderPriority, getValidationDecoratorProviderQualifiedClassName, getValidationDiagnosticMarkerType, getValidationProviderClassName, getValidationProviderPriority, getValidationProviderQualifiedClassName, isLiveValidationUIFeedback, isValidationDecorators, isValidationEnabled, setLiveValidationUIFeedback, setMarkerNavigationProviderClassName, setMarkerNavigationProviderPriority, setMetricProviderClassName, setMetricProviderPriority, setValidationDecoratorProviderClassName, setValidationDecoratorProviderPriority, setValidationDecorators, setValidationEnabled, setValidationProviderClassName, setValidationProviderPriority`

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.MeasurementUnit
`getUnits, setUnits`

Field Detail

### CLASS_NAME_PREFIX

    static final java.lang.String CLASS_NAME_PREFIX

See Also:
  Constant Field Values

Method Detail

### getEditorGen

    GenEditorGenerator getEditorGen()

  Returns the value of the 'Editor Gen' container reference. It is bidirectional and its opposite is '`Diagram`'.

  If the meaning of the 'Editor Gen' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Editor Gen' container reference.
  See Also:
    `GMFGenPackage.getGenDiagram_EditorGen()`, `GenEditorGenerator.getDiagram()`
  ** Generated **
  Model:
    opposite="diagram" resolveProxies="false" transient="false" changeable="false"

### getDomainDiagramElement

    org.eclipse.emf.codegen.ecore.genmodel.GenClass getDomainDiagramElement()

  Returns the value of the 'Domain Diagram Element' reference.

  If the meaning of the 'Domain Diagram Element' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Domain Diagram Element' reference.
  See Also:
    `setDomainDiagramElement(GenClass)`, `GMFGenPackage.getGenDiagram_DomainDiagramElement()`
  ** Generated **
  Model:

### setDomainDiagramElement

    void setDomainDiagramElement(org.eclipse.emf.codegen.ecore.genmodel.GenClass value)

  Sets the value of the '`Domain Diagram Element`' reference.

  Parameters:
    `value` - the new value of the 'Domain Diagram Element' reference.
  See Also:
    `getDomainDiagramElement()`
  ** Generated **

### getChildNodes

    org.eclipse.emf.common.util.EList<GenChildNode> getChildNodes()

  Returns the value of the 'Child Nodes' containment reference list. The list contents are of type `GenChildNode`. It is bidirectional and its opposite is '`Diagram`'.

  If the meaning of the 'Child Nodes' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Child Nodes' containment reference list.
  See Also:
    `GMFGenPackage.getGenDiagram_ChildNodes()`, `GenChildNode.getDiagram()`
  ** Generated **
  Model:
    opposite="diagram" containment="true"

### getTopLevelNodes

    org.eclipse.emf.common.util.EList<GenTopLevelNode> getTopLevelNodes()

  Returns the value of the 'Top Level Nodes' containment reference list. The list contents are of type `GenTopLevelNode`. It is bidirectional and its opposite is '`Diagram`'.

  If the meaning of the 'Top Level Nodes' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Top Level Nodes' containment reference list.
  See Also:
    `GMFGenPackage.getGenDiagram_TopLevelNodes()`, `GenTopLevelNode.getDiagram()`
  ** Generated **
  Model:
    opposite="diagram" containment="true"

### getLinks

    org.eclipse.emf.common.util.EList<GenLink> getLinks()

  Returns the value of the 'Links' containment reference list. The list contents are of type `GenLink`. It is bidirectional and its opposite is '`Diagram`'.

  If the meaning of the 'Links' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Links' containment reference list.
  See Also:
    `GMFGenPackage.getGenDiagram_Links()`, `GenLink.getDiagram()`
  ** Generated **
  Model:
    opposite="diagram" containment="true"

### getCompartments

    org.eclipse.emf.common.util.EList<GenCompartment> getCompartments()

  Returns the value of the 'Compartments' containment reference list. The list contents are of type `GenCompartment`. It is bidirectional and its opposite is '`Diagram`'.

  If the meaning of the 'Compartments' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Compartments' containment reference list.
  See Also:
    `GMFGenPackage.getGenDiagram_Compartments()`, `GenCompartment.getDiagram()`
  ** Generated **
  Model:
    opposite="diagram" containment="true"

### getPalette

    Palette getPalette()

  Returns the value of the 'Palette' containment reference. It is bidirectional and its opposite is '`Diagram`'.

  If the meaning of the 'Palette' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Palette' containment reference.
  See Also:
    `setPalette(Palette)`, `GMFGenPackage.getGenDiagram_Palette()`, `Palette.getDiagram()`
  ** Generated **
  Model:
    opposite="diagram" containment="true"

### setPalette

    void setPalette(Palette value)

  Sets the value of the '`Palette`' containment reference.

  Parameters:
    `value` - the new value of the 'Palette' containment reference.
  See Also:
    `getPalette()`
  ** Generated **

### isSynchronized

    boolean isSynchronized()

  Returns the value of the 'Synchronized' attribute. The default value is `"true"`.

  If the meaning of the 'Synchronized' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Synchronized' attribute.
  See Also:
    `setSynchronized(boolean)`, `GMFGenPackage.getGenDiagram_Synchronized()`
  ** Generated **
  Model:
    default="true"

### setSynchronized

    void setSynchronized(boolean value)

  Sets the value of the '`Synchronized`' attribute.

  Parameters:
    `value` - the new value of the 'Synchronized' attribute.
  See Also:
    `isSynchronized()`
  ** Generated **

### getPreferences

    GenDiagramPreferences getPreferences()

  Returns the value of the 'Preferences' containment reference.

  If the meaning of the 'Preferences' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Preferences' containment reference.
  See Also:
    `setPreferences(GenDiagramPreferences)`, `GMFGenPackage.getGenDiagram_Preferences()`
  ** Generated **
  Model:
    containment="true"

### setPreferences

    void setPreferences(GenDiagramPreferences value)

  Sets the value of the '`Preferences`' containment reference.

  Parameters:
    `value` - the new value of the 'Preferences' containment reference.
  See Also:
    `getPreferences()`
  ** Generated **

### getPreferencePages

    org.eclipse.emf.common.util.EList<GenPreferencePage> getPreferencePages()

  Returns the value of the 'Preference Pages' containment reference list. The list contents are of type `GenPreferencePage`.

  If the meaning of the 'Preference Pages' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Preference Pages' containment reference list.
  See Also:
    `GMFGenPackage.getGenDiagram_PreferencePages()`
  ** Generated **
  Model:
    containment="true"

### getAllNodes

    org.eclipse.emf.common.util.EList<GenNode> getAllNodes()

  ** Generated **
  Model:
    kind="operation"

### getAllChildContainers

    org.eclipse.emf.common.util.EList<GenChildContainer> getAllChildContainers()

  ** Generated **
  Model:
    kind="operation"

### getAllContainers

    org.eclipse.emf.common.util.EList<GenContainerBase> getAllContainers()

  ** Generated **
  Model:
    kind="operation"

### getElementInitializersClassName

    java.lang.String getElementInitializersClassName()

  Gets the name of the class to hold the initializer methods for domain elements

  ** Generated **
  Model:
    kind="operation"

### getElementInitializersPackageName

    java.lang.String getElementInitializersPackageName()

  Gets the name of the package to hold the element initializers class

  ** Generated **
  Model:
    kind="operation"

### getMetaPackageName

    java.lang.String getMetaPackageName(ImportAssistant importManager)

  Deprecated. obsolete

  Shorthand for `importManager.getImportedName(genDiagram.getDomainDiagramElement().getGenPackage().getQualifiedPackageInterfaceName())` NOTE: genPackage for domainDiagramElement only (not editor-wide domain model!), don't use it for features/classes/references found in GenLink/GenNodes!

### getTypeModelFacet2GenBaseMap

    java.util.Map<TypeModelFacet,GenCommonBase> getTypeModelFacet2GenBaseMap()

  Deprecated. obsolete

### getGenClass2PhantomMap

    java.util.Map<org.eclipse.emf.codegen.ecore.genmodel.GenClass,GenTopLevelNode> getGenClass2PhantomMap()

### getPhantomLinks

    java.util.List<GenLink> getPhantomLinks()

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.